Package ru.bitel.bgbilling.modules.megafon.common.bean

# Class MegafonWebContractOption

java.lang.Object
ru.bitel.bgbilling.modules.megafon.common.bean.MegafonWebContractOption

public class MegafonWebContractOption extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MegafonWebContractOption()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getDateStart()`
  `Date`
  `getDateStop()`
  `int`
  `getId()`
  `String`
  `getOptionDescription()`
  `int`
  `getOptionId()`
  `String`
  `getOptionOfferingId()`
  `String`
  `getOptionTitle()`
  `MegafonOptionType`
  `getOptionType()`
  `BigDecimal`
  `getPrice()`
  `List<MegafonWebTariffRemainder>`
  `getRemainders()`
  `MegafonContractProductStatus`
  `getStatus()`
  `MegafonWebContractOption`
  `setDateStart(Date dateStart)`
  `MegafonWebContractOption`
  `setDateStop(Date dateStop)`
  `MegafonWebContractOption`
  `setId(int id)`
  `MegafonWebContractOption`
  `setOptionDescription(String description)`
  `MegafonWebContractOption`
  `setOptionId(int optionId)`
  `MegafonWebContractOption`
  `setOptionOfferingId(String optionOfferingId)`
  `MegafonWebContractOption`
  `setOptionTitle(String optionTitle)`
  `MegafonWebContractOption`
  `setOptionType(MegafonOptionType optionType)`
  `MegafonWebContractOption`
  `setPrice(BigDecimal price)`
  `MegafonWebContractOption`
  `setRemainders(List<MegafonWebTariffRemainder> remainders)`
  `MegafonWebContractOption`
  `setStatus(MegafonContractProductStatus status)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MegafonWebContractOption

    public MegafonWebContractOption()

- ## Method Details

  - ### getDateStart

    public Date getDateStart()

  - ### getDateStop

    public Date getDateStop()

  - ### getOptionDescription

    public String getOptionDescription()

  - ### getId

    public int getId()

  - ### getOptionId

    public int getOptionId()

  - ### getOptionOfferingId

    public String getOptionOfferingId()

  - ### getOptionTitle

    public String getOptionTitle()

  - ### getOptionType

    public MegafonOptionType getOptionType()

  - ### getPrice

    public BigDecimal getPrice()

  - ### getRemainders

    public List<MegafonWebTariffRemainder> getRemainders()

  - ### getStatus

    public MegafonContractProductStatus getStatus()

  - ### setDateStart

    public MegafonWebContractOption setDateStart(Date dateStart)

  - ### setDateStop

    public MegafonWebContractOption setDateStop(Date dateStop)

  - ### setOptionDescription

    public MegafonWebContractOption setOptionDescription(String description)

  - ### setId

    public MegafonWebContractOption setId(int id)

  - ### setOptionId

    public MegafonWebContractOption setOptionId(int optionId)

  - ### setOptionOfferingId

    public MegafonWebContractOption setOptionOfferingId(String optionOfferingId)

  - ### setOptionTitle

    public MegafonWebContractOption setOptionTitle(String optionTitle)

  - ### setOptionType

    public MegafonWebContractOption setOptionType(MegafonOptionType optionType)

  - ### setPrice

    public MegafonWebContractOption setPrice(BigDecimal price)

  - ### setRemainders

    public MegafonWebContractOption setRemainders(List<MegafonWebTariffRemainder> remainders)

  - ### setStatus

    public MegafonWebContractOption setStatus(MegafonContractProductStatus status)